# sc::UHF Class Reference

This provides an unrestricted Hartree-Fock implementation. More...

`#include <uhf.h>`

Inheritance diagram for sc::UHF:

List of all members.

## Public Member Functions

| UHF (StateIn &)
| UHF (const Ref< KeyVal > &)
| The UHF KeyVal constructor reads no keywords.
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | print (std::ostream &o=ExEnv::out0()) const
| Print information about the object.
void | two_body_energy (double &ec, double &ex)
int | value_implemented () const
| Information about the availability of values, gradients, and hessians.
int | gradient_implemented () const

## Protected Member Functions

void | ao_fock (double accuracy)
void | two_body_deriv (double *)

## Detailed Description

This provides an unrestricted Hartree-Fock implementation.

## Constructor & Destructor Documentation

sc::UHF::UHF | ( | const Ref< KeyVal > & |  | ) |

The UHF KeyVal constructor reads no keywords.

All necessary information is gathered by base class KeyVal constructors.

## Member Function Documentation

void sc::UHF::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::UnrestrictedSCF.

int sc::UHF::value_implemented | ( |  | ) | const`[virtual]`

Information about the availability of values, gradients, and hessians.

Reimplemented from sc::Function.

The documentation for this class was generated from the following file:

- uhf.h